Debian Bug report logs - #508045
coreutils: df stops working during etch->lenny upgrade causing upgrade failure

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: Kurt Fitzner <kfitzner@excelcia.org>

Date: Sun, 7 Dec 2008 10:54:02 UTC

Severity: important

Tags: wontfix

Merged with 464118

Found in versions coreutils/6.10-3, coreutils/6.10-6

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#508045; Package coreutils. (Sun, 07 Dec 2008 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Fitzner <kfitzner@excelcia.org>:
New Bug report received and forwarded. Copy sent to Michael Stone <mstone@debian.org>. (Sun, 07 Dec 2008 10:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Fitzner <kfitzner@excelcia.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: coreutils: df stops working during etch->lenny upgrade causing upgrade failure
Date: Sun, 07 Dec 2008 03:52:28 -0700
Package: coreutils
Version: 6.10-6
Severity: important

During an etch->lenny upgrade, between the time that coreutils is upgraded
and the kernel is upgraded and booted, 'df' fails to operate.  This causes
all installations that depend on a working df to fail (mysql is one).  The
whole upgrade process aborts at that point leaving the system in a partially
upgraded state.

The output of df during the failure period is:
df: /': Function not implemented
df: /lib/init/rw': Function not implemented
df: /sys': Function not implemented
df: /dev': Function not implemented
df: /dev/shm': Function not implemented
df: /dev/pts': Function not implemented
df: /boot': Function not implemented
df: /proc/fs/nfsd': Function not implemented
df: /var/lib/nfs/rpc_pipefs': Function not implemented
df: no file systems processed

To jump-start the upgrade, I was forced to write a simple script that
simply echo'ed out a faked df output.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: hppa (parisc)

Kernel: Linux 2.6.26-1-parisc
Locale: LANG=en_CA, LC_CTYPE=en_CA (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages coreutils depends on:
ii  libacl1                       2.2.47-2   Access control list shared library
ii  libc6                         2.7-16     GNU C Library: Shared libraries
ii  libselinux1                   2.0.65-5   SELinux shared libraries

coreutils recommends no packages.

coreutils suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#508045; Package coreutils. (Sat, 27 Dec 2008 16:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kyle McMartin <kyle@infradead.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sat, 27 Dec 2008 16:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 508045@bugs.debian.org (full text, mbox):

From: Kyle McMartin <kyle@infradead.org>
To: Kurt Fitzner <kfitzner@excelcia.org>
Cc: debian-hppa@lists.debian.org, 508045@bugs.debian.org
Subject: Re: Problems with Etch->Lenny upgrade
Date: Sat, 27 Dec 2008 11:39:53 -0500
On Fri, Dec 26, 2008 at 12:57:00PM -0700, Kurt Fitzner wrote:
> Perhaps I should mention a problem I had upgrading Etch to Lenny.  I
> made a Debian bug report about it because it seemed like it might be a
> general Debian issue, but now I'm not so sure.
> 
> The gist of the issue is that df stops working after coreutils is
> upgraded until the system is rebooted with a new kernel.  This causes
> any package upgrade that depends on df (such as mysql) to fail - which
> causes the whole upgrade procedure to fail.
> 
> I managed to get it going again by replacing df with a shell script that
> just echo'ed a pretend output for df.

What was the starting kernel version? The latest stable etch kernel?

I suspect the fault for this lies in glibc trickery, though I'm not sure
off-hand. I don't recall any changes in the kernel to these syscalls in
the gap of versions between etch and lenny.

regards, Kyle




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#508045; Package coreutils. (Thu, 01 Jan 2009 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Fitzner <kfitzner@excelcia.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Thu, 01 Jan 2009 08:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 508045@bugs.debian.org (full text, mbox):

From: Kurt Fitzner <kfitzner@excelcia.org>
To: debian-hppa@lists.debian.org
Cc: Kyle McMartin <kyle@infradead.org>, 508045@bugs.debian.org
Subject: Re: Problems with Etch->Lenny upgrade
Date: Thu, 01 Jan 2009 01:07:21 -0700
Sorry to take so long to get back to you.

Kyle McMartin wrote:

> What was the starting kernel version? The latest stable etch kernel?

Yes.  I performed a dist-upgrade while it was still on etch before I
altered sources.list to lenny.

> I suspect the fault for this lies in glibc trickery, though I'm not sure
> off-hand. I don't recall any changes in the kernel to these syscalls in
> the gap of versions between etch and lenny.

I did some searches when I was in the middle of trying to get the
upgrade to work.  Other people who have experienced the problem with df
were advised to check their /proc.  Everything relevant to df in my
/proc seemed to be ok, so I wondered if maybe coreutils switched from
parsing files in /proc to syscalls in the upgrade?  That's just a shot
in the dark, though.

    Kurt.




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#508045; Package coreutils. (Thu, 01 Jan 2009 16:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kyle McMartin <kyle@infradead.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Thu, 01 Jan 2009 16:39:02 GMT) Full text and rfc822 format available.

Message #20 received at 508045@bugs.debian.org (full text, mbox):

From: Kyle McMartin <kyle@infradead.org>
To: Kurt Fitzner <kfitzner@excelcia.org>
Cc: debian-hppa@lists.debian.org, Kyle McMartin <kyle@infradead.org>, 508045@bugs.debian.org
Subject: Re: Problems with Etch->Lenny upgrade
Date: Thu, 1 Jan 2009 11:35:55 -0500
On Thu, Jan 01, 2009 at 01:07:21AM -0700, Kurt Fitzner wrote:
> Sorry to take so long to get back to you.
> 
> Kyle McMartin wrote:
> 
> > What was the starting kernel version? The latest stable etch kernel?
> 
> Yes.  I performed a dist-upgrade while it was still on etch before I
> altered sources.list to lenny.
> 
> > I suspect the fault for this lies in glibc trickery, though I'm not sure
> > off-hand. I don't recall any changes in the kernel to these syscalls in
> > the gap of versions between etch and lenny.
> 
> I did some searches when I was in the middle of trying to get the
> upgrade to work.  Other people who have experienced the problem with df
> were advised to check their /proc.  Everything relevant to df in my
> /proc seemed to be ok, so I wondered if maybe coreutils switched from
> parsing files in /proc to syscalls in the upgrade?  That's just a shot
> in the dark, though.
> 

Hi Kurt,

I'll look into this, bootstrapping the relevant chroots now.

regards, Kyle




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#508045; Package coreutils. (Thu, 01 Jan 2009 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. (Thu, 01 Jan 2009 19:48:02 GMT) Full text and rfc822 format available.

Message #25 received at 508045@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Kyle McMartin <kyle@infradead.org>, 508045@bugs.debian.org
Subject: Re: Bug#508045: Problems with Etch->Lenny upgrade
Date: Thu, 01 Jan 2009 14:45:23 -0500
On Thu, Jan 01, 2009 at 11:35:55AM -0500, you wrote:
>I'll look into this, bootstrapping the relevant chroots now.

That's not going to do it. You'll need to actually boot into the correct 
kernel with the correct environment. If you dig around you'll find my 
notes from the last time I looked at this.

I don't think we know yet what kernel was running when this problem 
occurred. (Doing a dist-upgrade isn't sufficient to assume that a 
particular kernel is installed.)

Mike Stone




Merged 464118 508045. Request was from Michael Stone <mstone@debian.org> to control@bugs.debian.org. (Thu, 03 Sep 2009 00:51:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:17:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.